# QVM: Quaternions, Vectors, Matrices

### boost/qvm/vec_access.hpp

This header provides generic access to the elements of a given vector object.

### Synopsis:

#include <boost/qvm/vec_access.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<V>::value

            template <int I,class V> -unspecified-return-type- A( V & v );
            template <class V> -unspecified-return-type- A0( V & v );
            template <class V> -unspecified-return-type- A1( V & v );
            ...
            template <class V> -unspecified-return-type- A9( V & v );

            template <class V> -unspecified-return-type- X( V & v );
            template <class V> -unspecified-return-type- Y( V & v );
            template <class V> -unspecified-return-type- Z( V & v );
            template <class V> -unspecified-return-type- W( V & v );
        }
    }

See also: Accessing Vector Elements